summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorMike McQuaid <mike@mikemcquaid.com>2010-10-05 20:52:54 +0100
committerRalf Habacker <ralf.habacker@freenet.de>2010-12-04 23:57:15 +0100
commita19c3d2e8b590d95a4959c68895331b88d121ecb (patch)
treec2dba2449a10a6582c95382bcd10f9c248bbbb48 /autogen.sh
parent197bef82771c9a28434f88b0bf44bccf6e0037d7 (diff)
downloaddbus-a19c3d2e8b590d95a4959c68895331b88d121ecb.tar.gz
libtoolize is called glibtoolize on OSX so check for it too.
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/autogen.sh b/autogen.sh
index 4e9fa3b6..a3a63685 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -47,7 +47,12 @@ fi
DIE=1
}
-(libtoolize --version) < /dev/null > /dev/null 2>&1 || {
+LIBTOOLIZE=`which libtoolize`
+if test -n $LIBTOOLIZE; then
+ LIBTOOLIZE=`which glibtoolize`
+fi
+
+($LIBTOOLIZE --version) < /dev/null > /dev/null 2>&1 || {
echo
echo "You must have libtoolize installed to compile $PROJECT."
echo "Install the libtool package from ftp.gnu.org or a mirror."
@@ -68,7 +73,7 @@ if test -z "$*"; then
echo "to pass any to it, please specify them on the $0 command line."
fi
-libtoolize --copy --force
+$LIBTOOLIZE --copy --force
$ACLOCAL $ACLOCAL_FLAGS